#include <string>
#include <utility>
#include <vector>

#ifndef STRUCTS_H
#define STRUCTS_H

enum QueryType { INSERT = 0, DELETE = 1, UPDATE = 2, SELECT = 3 };

struct DatabaseCredentials {
  std::string user;
  std::string password;
  std::string name;
};

struct DatabaseConfiguration {
  DatabaseCredentials credentials;
  std::string address;
  std::string port;
};

struct DatabaseQuery {
  std::string table;
  std::vector<std::string> fields;
  QueryType type;
  std::vector<std::string> values;
};

struct QueryResult {
  std::string table;
  std::vector<std::pair<std::string, std::string>> values;
};

#endif // STRUCTS_H